LinuxQuestions.org
Help answer threads with 0 replies.
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 11-16-2016, 01:00 AM   #1
TheNutCase
Member
 
Registered: May 2016
Location: Columbia, South Carolina14
Distribution: Slackware 15.0
Posts: 700

Rep: Reputation: Disabled
Flash player 17 for Linux?


What is the Linux equivalent of Flash player 17, and where can I get it? My operating system, by the way, is Slackware 14.2.
 
Old 11-16-2016, 01:12 AM   #2
ardvark71
LQ Veteran
 
Registered: Feb 2015
Location: USA
Distribution: Lubuntu 14.04, 22.04, Windows 8.1 and 10
Posts: 6,282
Blog Entries: 4

Rep: Reputation: 842Reputation: 842Reputation: 842Reputation: 842Reputation: 842Reputation: 842Reputation: 842
Quote:
Originally Posted by TheNutCase View Post
What is the Linux equivalent of Flash player 17, and where can I get it? My operating system, by the way, is Slackware 14.2.
Hi...

I don't think there is an equivalent, as the last standalone version for Linux was 11.2. If it helps, you can try using Lightspark, although I don't know if it will play everything that Flash Player does. You can find Slackbuilds here and here.

Apart from that, I guess you could see if you could find a old version of Google Chrome that came with Pepper version Flash Player 17.

EDIT: I'll have to correct myself, there are standalone versions of the Pepper Flash Player (PPAPI) for Chromium and other browsers. You can download the one for version 23 here, or of you want to try version 24 beta, please see here.

Regards...

Last edited by ardvark71; 11-16-2016 at 02:16 AM. Reason: Corrections/Added information and links.
 
Old 11-16-2016, 07:05 AM   #3
stormtracknole
Senior Member
 
Registered: Aug 2005
Distribution: Slackware, RHEL
Posts: 1,259

Rep: Reputation: 231Reputation: 231Reputation: 231
Adobe started to releases newer version of flash for Linux. Take a look here, and download the version that you need. I've been testing it on my machines and it's working great so far. Unfortunately, I don't think they are providing DRM support.
 
1 members found this post helpful.
Old 11-16-2016, 07:31 AM   #4
TheNutCase
Member
 
Registered: May 2016
Location: Columbia, South Carolina14
Distribution: Slackware 15.0
Posts: 700

Original Poster
Rep: Reputation: Disabled
Thank you.
 
Old 11-16-2016, 10:40 AM   #5
interndan
Member
 
Registered: Aug 2004
Location: near Marion, Ill
Distribution: Slackware 15 64bit on Desktop Slackwarearm on Raspberry PI v1b
Posts: 381

Rep: Reputation: 38
How hard would it be to modify the Slackbuild from SBO to create a package. I'm not very good a writing scripts or creating packages.
 
Old 11-16-2016, 11:00 AM   #6
stormtracknole
Senior Member
 
Registered: Aug 2005
Distribution: Slackware, RHEL
Posts: 1,259

Rep: Reputation: 231Reputation: 231Reputation: 231
Quote:
Originally Posted by interndan View Post
How hard would it be to modify the Slackbuild from SBO to create a package. I'm not very good a writing scripts or creating packages.
Not hard at all. Here's the modification I made from the original one:
Code:
#!/bin/sh
# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016  Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
#   Permission to use, copy, modify, and distribute this software for
#   any purpose with or without fee is hereby granted, provided that
#   the above copyright notice and this permission notice appear in all
#   copies.
#
#   THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
#   WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
#   MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
#   IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
#   CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#   SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#   LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
#   USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
#   ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#   OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
#   OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
#   SUCH DAMAGE.
# -----------------------------------------------------------------------------
#
# Slackware SlackBuild script 
# ===========================
# By:           Eric Hameleers <alien@slackware.com>
# For:          flashplayer-plugin
# Descr:        Adobe flash player plugin for mozilla
# URL:
#   http://labs.adobe.com/technologies/flashplatformruntimes/flashplayer11/
# 
# Run 'sh flashplayer-plugin.SlackBuild' to build a Slackware package.
# The package (.txz) and .txt file as well as build logs are created in /tmp .
# Install it using 'installpkg'. 
#
# -----------------------------------------------------------------------------

# Set initial variables:

PRGNAM=flash_player_npapi_linux
# Determine the latest version by checking the web page:
VERSION=${VERSION:-"beta"}
MAJVER=${MAJVER:-"npapi"}
BUILD=${BUILD:-1}
TAG=${TAG:-}

# Where do we look for sources?
SRCDIR=$(cd $(dirname $0); pwd)

# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
TMP=${TMP:-/tmp/build}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}

# Automatically determine the architecture we're building on:
MARCH=${ARCH:-$( uname -m )}
case "$MARCH" in
  x86_64)
    LIBDIRSUFFIX="64"
    ARCHBITS="64"
    export ARCH=x86_64
    ;;
  i?86)
    LIBDIRSUFFIX=""
    ARCHBITS="32"
    export ARCH=i386
    ;;
  *)
    echo "Unsupported architecture '$ARCH'"
    exit 1
    ;;
esac

SOURCE="$SRCDIR/flash_player_npapi_linux.x86_64.tar.gz"
SRCURL="http://fpdownload.macromedia.com/get/flashplayer/pdc/${VERSION}/install_flash_player_${MAJVER}_linux.${ARCH}.tar.gz"

##
## --- with a little luck, you won't have to edit below this point --- ##
##

# Exit the script on errors:
set -e
trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
# Catch unitialized variables:
set -u
P1=${1:-1}

# Save old umask and set to 0022:
_UMASK_=$(umask)
umask 0022

# Create working directories:
mkdir -p $OUTPUT          # place for the package to be saved
mkdir -p $TMP/tmp-$PRGNAM # location to build the source
mkdir -p $PKG             # place for the package to be built
rm -rf $PKG/*             # always erase old package's contents
rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
                          # remove old log files
# --- PACKAGE BUILDING ---

echo "++"
echo "|| $PRGNAM-$VERSION"
echo "++"

#cd $TMP/tmp-$PRGNAM
cd $PKG
echo "Extracting the source archive(s) for $PRGNAM..."
tar -xvf ${SOURCE}
chown -R root:root *
chmod -R u+w,go+r-w,a+X-s .

case "$ARCH" in
  x86_64)
    if ! file libflashplayer.so | grep -q "ELF 64-bit" ; then
      echo "The downloaded plugin is not for the '$ARCH' architecture!"; exit 1
    fi
    ;;
  i?86)
    if ! file libflashplayer.so | grep -q "ELF 32-bit" ; then
      echo "The downloaded plugin is not for the '$ARCH' architecture!"; exit 1
    fi
    ;;
esac

## Move lib to lib64 if needed:
#[ "$ARCH" = "x86_64" ] && mv usr/lib usr/lib${LIBDIRSUFFIX}

# Remove 32-bit bogus compatibility in 64-bit package:
[ "$ARCH" = "x86_64" ] && rm -rf $PKG/usr/lib

# Install the plugin to the mozilla plugins dir and fix library file attributes:
mkdir -p usr/lib${LIBDIRSUFFIX}/mozilla/plugins
mv libflashplayer.so usr/lib${LIBDIRSUFFIX}/mozilla/plugins/
find usr/lib${LIBDIRSUFFIX} -name "*.so" -exec chmod 755 {} \;

# Add this to the doinst.sh:
mkdir -p $PKG/install
cat <<EOINS >> $PKG/install/doinst.sh
# Update the desktop database:
if [ -x usr/bin/update-desktop-database ]; then
  chroot . /usr/bin/update-desktop-database usr/share/applications > /dev/null 2>&1
fi

EOINS

# Add documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
mv LGPL *.txt $PKG/usr/doc/$PRGNAM-$VERSION/ || true
cp -a $SRCDIR/$(basename $0) $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
find $PKG/usr/doc -type f -exec chmod 644 {} \;

# Add a package description:
mkdir -p $PKG/install
cat $SRCDIR/slack-desc > $PKG/install/slack-desc

# Build the package:
cd $PKG
makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
cd $OUTPUT
md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txz.md5

# Restore the original umask:
umask ${_UMASK_}
 
2 members found this post helpful.
Old 11-16-2016, 12:32 PM   #7
ardvark71
LQ Veteran
 
Registered: Feb 2015
Location: USA
Distribution: Lubuntu 14.04, 22.04, Windows 8.1 and 10
Posts: 6,282
Blog Entries: 4

Rep: Reputation: 842Reputation: 842Reputation: 842Reputation: 842Reputation: 842Reputation: 842Reputation: 842
Quote:
Originally Posted by TheNutCase View Post
Thank you.
You're welcome

Regards...
 
Old 11-16-2016, 01:13 PM   #8
interndan
Member
 
Registered: Aug 2004
Location: near Marion, Ill
Distribution: Slackware 15 64bit on Desktop Slackwarearm on Raspberry PI v1b
Posts: 381

Rep: Reputation: 38
Thank you.
 
Old 11-16-2016, 06:16 PM   #9
TheNutCase
Member
 
Registered: May 2016
Location: Columbia, South Carolina14
Distribution: Slackware 15.0
Posts: 700

Original Poster
Rep: Reputation: Disabled
I managed to get it installed, but when I try to use it, it keeps crashing .
 
Old 11-16-2016, 07:14 PM   #10
stormtracknole
Senior Member
 
Registered: Aug 2005
Distribution: Slackware, RHEL
Posts: 1,259

Rep: Reputation: 231Reputation: 231Reputation: 231
Quote:
Originally Posted by TheNutCase View Post
I managed to get it installed, but when I try to use it, it keeps crashing .
Make sure you don't have another version of flash installed. If all else fails, remove $HOME/.adobe.
 
Old 11-16-2016, 08:50 PM   #11
TheNutCase
Member
 
Registered: May 2016
Location: Columbia, South Carolina14
Distribution: Slackware 15.0
Posts: 700

Original Poster
Rep: Reputation: Disabled
I re installed it as you suggested, and it "works" but it can now be most accurately described as "tempermental" (it sometimes makes flashed-based games "hang") .
 
Old 11-16-2016, 09:14 PM   #12
hitest
Guru
 
Registered: Mar 2004
Location: Canada
Distribution: Void, Debian, Slackware
Posts: 7,342

Rep: Reputation: 3746Reputation: 3746Reputation: 3746Reputation: 3746Reputation: 3746Reputation: 3746Reputation: 3746Reputation: 3746Reputation: 3746Reputation: 3746Reputation: 3746
Another alternative is to install AlienBOB's Chromium packages: Chromium, pepper flash, and widevine for netflix viewing. The pepperflash plugin does the job.

http://www.slackware.com/~alien/slac...um/pkg64/14.2/

http://www.slackware.com/~alien/slac...in/pkg64/14.2/

http://www.slackware.com/~alien/slac...in/pkg64/14.2/

Also you can install Google Chrome which has pepper flash built in. Use the google chrome slackbuild script located in the /extra directory of your Slackware DVD. Download the Linux version of Chrome from Google.

Last edited by hitest; 11-16-2016 at 09:15 PM.
 
Old 11-17-2016, 09:35 AM   #13
stormtracknole
Senior Member
 
Registered: Aug 2005
Distribution: Slackware, RHEL
Posts: 1,259

Rep: Reputation: 231Reputation: 231Reputation: 231
Quote:
Originally Posted by TheNutCase View Post
I re installed it as you suggested, and it "works" but it can now be most accurately described as "tempermental" (it sometimes makes flashed-based games "hang") .
Now that I think about it, I've seen the plugin crash once. In the end, it's still considered beta. I would consider using Chrome or Chromium also with pepper flash, or, consider using freshplayer available from the SBo site here.
 
Old 11-17-2016, 12:00 PM   #14
orbea
Senior Member
 
Registered: Feb 2015
Distribution: Slackware64-current
Posts: 1,950

Rep: Reputation: Disabled
Quote:
Originally Posted by ardvark71 View Post
Hi...

I don't think there is an equivalent, as the last standalone version for Linux was 11.2. If it helps, you can try using Lightspark, although I don't know if it will play everything that Flash Player does. You can find Slackbuilds here and here.
Lightspark is mostly useful for those that do not want to use flash except for those few sites they are forced to use because of work or school where it will sometimes work. In time it may become useful in emulating old content such as flash games when flash is finally put in its grave.
 
1 members found this post helpful.
Old 11-17-2016, 02:17 PM   #15
aaazen
Member
 
Registered: Dec 2009
Posts: 358

Rep: Reputation: Disabled
Quote:
Originally Posted by stormtracknole View Post
Adobe started to releases newer version of flash for Linux. Take a look here, and download the version that you need. I've been testing it on my machines and it's working great so far. Unfortunately, I don't think they are providing DRM support.
Thanks for the link to Adobe Labs. Here is the specific link just for the beta flashplayers:

http://labs.adobe.com/downloads/flashplayer.html

I modified Robby Workman's flashplayer-plugin.SlackBuild script from slackbuild.org:

https://slackbuilds.org/repository/1...player-plugin/

It is embedded here and is an attachment to this posting. Modify the attachment to remove the .txt suffix.

Code:
#!/bin/sh

# Copyright 2010-2015  Robby Workman, Tuscaloosa, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# 20160409 get version embedded inside the plugin
# 20161117 use npapi version of the plugin (no choice)

PRGNAM=flashplayer-plugin
BUILD=${BUILD:-1}

TAG=${TAG:-_SBo}

case "$( uname -m )" in
  i?86) ARCH=i386 ;;
  arm*) ARCH=arm ;;
     *) ARCH=$( uname -m ) ;;
esac

if [ "$ARCH" = "x86_64" ]; then
  LIBDIRSUFFIX="64"
elif [ "$ARCH" = "i386" ]; then
  LIBDIRSUFFIX=""
else
  printf "\n\n$ARCH is unsupported...\n"
  exit 1
fi

SOURCE="flash_player_npapi_linux.${ARCH}.tar.gz"

VERSION=$(tar -O -zxf $SOURCE libflashplayer.so \
         | strings -a - | grep FlashPlayer_ \
         | sed -e s/^FlashPlayer_// -e s/_FlashPlayer$// -e s/_/\./g)

VERS_MAJ=$(printf $VERSION | cut -d. -f1)
case $VERS_MAJ in
    *[0-9]*) ;;
    *)       printf "\n\nMajor VERSION invalid: ${VERS_MAJ} VERSION: ${VERSION}\n"
             exit 1
             ;;
esac

CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}

set -e

rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
tar -C $PKG -xf $CWD/$SOURCE

if !  grep -wq "^Version ${VERSION}$" $PKG/readme.txt  2>/dev/null ; then
  printf "\n\tThis script could not find Version $VERSION of the plugin,\n"
  printf "\tinside the readme.txt ...\n\n"
  printf "Fix the script or get a different source file...\n\n"
  exit 1
fi

mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/mozilla/plugins
mv $PKG/libflashplayer.so $PKG/usr/lib${LIBDIRSUFFIX}/mozilla/plugins

if [ "$ARCH" = "x86_64" ]; then
  rm -rf $PKG/usr/lib
fi

mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
mv $PKG/*pdf $PKG/*.txt $PKG/LGPL/* $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
rm -rf $PKG/LGPL

mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh

cd $PKG
chown -R root:root $PKG
chmod -R g-w $PKG
find $PKG -type f -name "*.so" -exec chmod 0755 {} \;

/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
So far it works fine with my AMD 64-bit (x86_64) system running Firefox.

There is a 32-bit x86 version of the beta software. I have not tested it yet, but the script might work.

-----
Edit 2016-11-17 22:18 UTC: The script works fine on i386 (x86) machines too.
Attached Files
File Type: txt flashplayer-plugin.SlackBuild.txt (3.0 KB, 28 views)

Last edited by aaazen; 11-18-2016 at 12:30 AM. Reason: add link to slackbuilds.org
 
1 members found this post helpful.
  


Reply



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Linux Flash Player ??? karanjeet Linux - General 16 08-09-2008 08:46 AM
Flash Player 8 for Linux?? belliott4488 Linux - Software 2 11-27-2006 04:49 PM
flash player on linux sharadbirmiwal Linux - Software 3 06-23-2005 09:57 AM
Flash Player 6 for Linux tommytomato Linux - Newbie 13 06-12-2004 09:18 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 11:26 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration